# FoundationClasses
TKAdvTools
Expr

# Expr_MapOfNamedUnknown Class Reference

`#include <Expr_MapOfNamedUnknown.hxx>`

Inheritance diagram for Expr_MapOfNamedUnknown:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Expr_MapOfNamedUnknown (const Standard_Integer NbBuckets=1)
Standard_EXPORT Expr_MapOfNamedUnknown & | Assign (const Expr_MapOfNamedUnknown &Other)
Expr_MapOfNamedUnknown & | operator= (const Expr_MapOfNamedUnknown &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Expr_MapOfNamedUnknown ()
Standard_EXPORT Standard_Integer | Add (const Handle(Expr_NamedUnknown)&K)
Standard_EXPORT void | Substitute (const Standard_Integer I, const Handle(Expr_NamedUnknown)&K)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const Handle(Expr_NamedUnknown)&K) const
Standard_EXPORT const Handle_Expr_NamedUnknown & | FindKey (const Standard_Integer I) const
const Handle_Expr_NamedUnknown & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | FindIndex (const Handle(Expr_NamedUnknown)&K) const

## Private Member Functions

Standard_EXPORT | Expr_MapOfNamedUnknown (const Expr_MapOfNamedUnknown &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Expr_MapOfNamedUnknown::Expr_MapOfNamedUnknown | ( | const Standard_Integer | NbBuckets = `1` | ) |

Expr_MapOfNamedUnknown::~Expr_MapOfNamedUnknown | ( |  | ) | `[inline]`

Standard_EXPORT Expr_MapOfNamedUnknown::Expr_MapOfNamedUnknown | ( | const Expr_MapOfNamedUnknown & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer Expr_MapOfNamedUnknown::Add | ( | const Handle(Expr_NamedUnknown)& | K | ) |

Standard_EXPORT Expr_MapOfNamedUnknown& Expr_MapOfNamedUnknown::Assign | ( | const Expr_MapOfNamedUnknown & | Other | ) |

Standard_EXPORT void Expr_MapOfNamedUnknown::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean Expr_MapOfNamedUnknown::Contains | ( | const Handle(Expr_NamedUnknown)& | K | ) | const

Standard_EXPORT Standard_Integer Expr_MapOfNamedUnknown::FindIndex | ( | const Handle(Expr_NamedUnknown)& | K | ) | const

Standard_EXPORT const Handle_Expr_NamedUnknown& Expr_MapOfNamedUnknown::FindKey | ( | const Standard_Integer | I | ) | const

void Expr_MapOfNamedUnknown::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Expr_MapOfNamedUnknown::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Expr_MapOfNamedUnknown::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

const Handle_Expr_NamedUnknown& Expr_MapOfNamedUnknown::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

Expr_MapOfNamedUnknown& Expr_MapOfNamedUnknown::operator= | ( | const Expr_MapOfNamedUnknown & | Other | ) | `[inline]`

Standard_EXPORT void Expr_MapOfNamedUnknown::RemoveLast | ( |  | ) |

Standard_EXPORT void Expr_MapOfNamedUnknown::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void Expr_MapOfNamedUnknown::Substitute | ( | const Standard_Integer | I,
|  | const Handle(Expr_NamedUnknown)& | K
| ) |

The documentation for this class was generated from the following file:

- Expr_MapOfNamedUnknown.hxx